#### D.4.15.2 modSat

Procedure from library `modquotient.lib` (see modquotient_lib).

Usage:
  modSat(I, J, #); I, J ideals, # an optional list which is either empty (not entered) or consists of precisely one integer which is 0 or 1.

Assume:
  The common basering of I and J is defined over the rationals.

Return:
  A list consisting of an ideal [1] and an integer [2]:
  [1] = saturation of of I by J
  [2] = saturation exponent (= min( k | I:J^k = I:J^(k+1)))

Note:
  [1] is given by a standard basis in the basering.
  - The function proceeds by successively computing ideal quotients. The intermediate results will be checked for correctness if # is either empty (not entered)s or if #[1] = 1.
  Without the checks, the function returns a final result which is correct with high probability.

Example:

    LIB "modquotient.lib";
    ring R = 0, (x,y,z), dp;
    ideal I = x2+xyz, y2-z3y, z3+y5xz;
    ideal J = maxideal(3);
    list L = modSat(I, J);
    L;
    ==> [1]:
    ==>    _[1]=yz+x
    ==>    _[2]=z3-y
    ==>    _[3]=xz2+y2
    ==>    _[4]=y3-x2z
    ==>    _[5]=x4z-1
    ==>    _[6]=x3y2+z
    ==>    _[7]=x4y-z2
    ==>    _[8]=x5+y
    ==> [2]:
    ==>    2

User manual for Singular version 4.4.1, 2025, generated by texi2html.